<div class="login">
  <h2>Connexion</h2>
  <form [formGroup]="loginForm" id="loginForm">
    <div class="item-form">
      <label>Email</label>
      <div class="input-container">
        <input type="email"
               placeholder="Email"
               formControlName="email">
        <div class="errors" *ngIf="loginForm.controls.email.touched">
          <p *ngIf="loginForm.controls.email.errors?.['required'] && loginForm.controls.email.dirty">
            Merci de préciser un email
          </p>
          <p *ngIf="loginForm.controls.email.errors?.['pattern']">
            Format du mail incorrect
          </p>
        </div>
      </div>
    </div>

    <div class="item-form">
      <label>Mot de passe</label>
      <div class="input-container">
        <input type="password"
               placeholder="Mot de passe"
               formControlName="password">
        <div class="errors" *ngIf="loginForm.controls.password.touched">
          <p *ngIf="loginForm.controls.password.errors?.['required'] && loginForm.controls.password.dirty">
            Merci de préciser un mot de passe
          </p>
          <p *ngIf="loginForm.controls.password.errors?.['minlength']">
            Le mot de passe doit comporter 6 caractères minimum
          </p>
        </div>
      </div>
    </div>

    <div class="actions">
      <button (click)="login()" [disabled]="!loginForm.valid">Connexion</button>
      <button [routerLink]="['/home', { outlets: { auth: 'register' }}]">Inscription</button>
    </div>
  </form>
</div>
